.section--landing-block {
  margin: 100px 0;
}

.landing-block {
  display: flex;
  gap: 40px;
  background-color: rgba(255, 255, 255, 0.8);
  padding: 30px 70px 40px 30px;
  max-width: 1436px;
  margin: 0 auto;
}

.landing-block .slick-list {
  width: 100%;
}

.landing-block-left {
  width: 40%;
}

.landing-block-right {
  flex: 1;
  padding-top: 20px;
}

.landing-block-media iframe {
  aspect-ratio: 16 / 9;
  width: 100%;
  height: auto;
}

.landing-block-button {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 1rem;
  font-family: "Poppins", "HelveticaNeue", "Helvetica", "Arial", sans-serif;
  font-size: 1.125rem;
  font-weight: 600;
  line-height: 1.1;
  margin-top: 1rem;
}

.landing-block-button:hover {
  color: #ff4300;
}

.landing-block-button:hover::after {
  transform: rotate(45deg);
}

.landing-block-button::after {
  content: "";
  display: block;
  width: 18px;
  height: 18px;
  background-image: url(/20250603170942oe_/https://www.arts.cuhk.edu.hk/web/wp-content/themes/cuhk-arts-theme/assets/images/icons/arrow-up.svg);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  transform: rotate(90deg);
  transition: all 0.5s ease;
}

.landing-block-title {
  font-family: "Poppins", "HelveticaNeue", "Helvetica", "Arial", sans-serif;
  font-size: 1.625rem;
  font-weight: 600;
  line-height: 1.1;
  margin-bottom: 2rem;
}

.landing-block-description {
  white-space: pre-line;
}

.section--landing-block .landing-block-slide {
  display: flex;
  gap: 40px;
  opacity: 0;
}

.section--landing-block .slick-initialized .landing-block-slide {
  opacity: 1;
}

.section--landing-block .slider-progress-wrapper{
  position: relative;
  padding: 20px 0px;
  max-width: 1436px;
  margin: 0 auto;
  text-align: end;
}

@media (max-width: 1279px) {
  .landing-block {
    background-color: transparent;
    padding-left: 0;
    padding-right: 0;
  }

  .landing-block-right {
    padding-top: 0;
  }
}

@media (max-width: 991px) {
  .section--landing-block .landing-block-slide,
  .landing-block {
    gap: 20px;
  }
}

@media (max-width: 619px) {
  .section--landing-block {
    margin: 50px 0;
  }

  .section--landing-block .landing-block-slide ,
  .landing-block {
    flex-direction: column;
    gap: 30px;
  }

  .landing-block-left {
    width: 100%;
  }

  .landing-block-button {
    margin-top: 0.5rem;
  }

  .landing-block-title {
    margin-bottom: 1rem;
  }
}

